{
  "format_version": "1.20.50",
  "minecraft:block": {

    "description": {
      "identifier": "mythicus_im:hdc.searcher",
      "register_to_creative_menu": true,
      "menu_category": {
        "category": "items",
        "is_hidden_in_commands": false
      },
      "states": {
        "mythicus_im:outlined": [false, true]
      }
    },

    "components": {
      
      // default
      "minecraft:display_name": "tile.mythicus_im:hdc.searcher.name",
      "minecraft:geometry": "geometry.mythicus_im.block.hdc.searcher",
      "minecraft:material_instances": {
        "*": {
          "texture": "mythicus_im.hdc.searcher",
          "ambient_occlusion": true,
          "face_dimming": false,
          "render_method": "alpha_test"
        }
      },
      "minecraft:placement_filter": {
        "conditions": [ { "allowed_faces": [ "up", "side" ] } ]
      },

      // specific
      "minecraft:loot": "loot_tables/mythicus/hdc/block/empty.json",
      "minecraft:destructible_by_explosion": false,
      "minecraft:destructible_by_mining": {
        "seconds_to_destroy": 2
      },
      "minecraft:light_emission": 15,
      
      // custom components
      "minecraft:custom_components": [ "mythicus_im:hdc.searcher" ],

      // tags
      "tag:mythicus_im:hdc.searcher": {},
      "tag:mythicus_im:default": {}

    }

  }
}